Skip to content

Endpoint

  • Method: POST
  • Path: /availability
  • Edition: Core
  • Controller: AvailabilityController@createSchedule
  • Route source: fluent-booking/app/Http/Routes/api.php:102
  • Policy: AvailabilityPolicy

Create Schedule

POST
/availability

Handler: AvailabilityController@createSchedule. Source: fluent-booking/app/Http/Routes/api.php:102.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
"object_type": "string",
"object_id": 0,
"key": "string",
"value": {
}
}

Responses

Resource created.

application/json
JSON
{
"message": "string",
"availability": {
"id": 0,
"object_type": "string",
"object_id": 0,
"key": "string",
"value": {
},
"created_at": "string",
"updated_at": "string"
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI